Update log-forwarding configuration
curl --request PUT \
--url https://api.bunny.net/mc/log/forwarding/{appId} \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"app": "<string>",
"endpoint": "<string>",
"port": 123,
"enabled": true,
"token": "<string>"
}
'import requests
url = "https://api.bunny.net/mc/log/forwarding/{appId}"
payload = {
"app": "<string>",
"endpoint": "<string>",
"port": 123,
"enabled": True,
"token": "<string>"
}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
app: '<string>',
endpoint: '<string>',
port: 123,
enabled: true,
token: '<string>'
})
};
fetch('https://api.bunny.net/mc/log/forwarding/{appId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"app": "<string>",
"productId": "<string>",
"type": "SyslogUdp",
"endpoint": "<string>",
"port": 123,
"createdAt": "2023-11-07T05:31:56Z",
"token": "<string>",
"format": "SyslogRfc3164",
"enabled": true
}Log Forwarding
Update log-forwarding configuration
Update an existing log-forwarding configuration.
PUT
/
log
/
forwarding
/
{appId}
Update log-forwarding configuration
Authorizations
Please enter a valid personal API key.
Path Parameters
App ID for log forwarding configuration.
Body
application/json
App unique identifier
Log endpoint type
Available options:
SyslogUdp, SyslogTcp Log destination endpoint
Log destination port
Which Syslog RFC will be used
Available options:
SyslogRfc3164, SyslogRfc5424 Whether forwarding is enabled
Token passed as field of syslog
Response
Log-forwarding configuration updated successfully.
Unique identifier
App unique identifier
Product unique identifier
Log endpoint type
Available options:
SyslogUdp, SyslogTcp Log destination endpoint
Log destination port
When the configuration was created
Token passed as field of syslog
Which Syslog RFC will be used
Available options:
SyslogRfc3164, SyslogRfc5424 Whether forwarding is enabled
Last modified on September 1, 2026
Was this page helpful?